#
# spec file for package rubygem-paint
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-paint
Version:        2.2.1
Release:        bp153.2.3.1
%define mod_name paint
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/janlelis/paint
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Terminal painter!
License:        MIT
Group:          Development/Languages/Ruby

%description
Terminal painter with RGB and 256 (fallback) color and terminal effects
support. No string extensions! Usage: Paint['string', :red, :bright].

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.1
  see installed CHANGELOG.md
  [#]## 2.2.1
  * Explicitly set mac's Terminal.app to 256 colors only, fixes #28
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.2.0
  see installed CHANGELOG.md
  [#]## 2.2.0
  * Support NO_COLOR environment variable, implements #26 (see no-color.org)
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.1.1
  see installed CHANGELOG.md
  [#]## 2.1.1
  * Blacklist True Color support for urxvt, fixes #25
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.1.0
  see installed CHANGELOG.md
  [#]## 2.1.0
  * Set True Color as default mode on more terminals, patch by @smoochbot
* Wed Dec 19 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.0.3
  see installed CHANGELOG.md
  [#]## 2.0.3
  * Add `gray` alias for `white` color, patch by @AlexWayfer
  [#]## 2.0.2
  * Remove `gunzip` deprecation warning
* Sun Dec  3 2017 coolo@suse.com
- updated to version 2.0.1
  see installed CHANGELOG.md
  [#]## 2.0.1
  * Fix nested substitutions, patch by @mildmojo
* Sat Dec 24 2016 coolo@suse.com
- updated to version 2.0.0
  CHANGELOG.rdoc removed upstream
* Thu Jan 21 2016 coolo@suse.com
- initial package (version 1.0.1)
